<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009" height="100%"
			   xmlns:s="library://ns.adobe.com/flex/spark" title="Relatório Totais de Vendas e Recebimentos" 
			   xmlns:mx="library://ns.adobe.com/flex/mx" xmlns:visual="br.com.desenv.framework.component.visual.*" 
			   creationComplete="form_creationCompleteHandler(event)" 
			   close="titlewindow1_closeHandler(event)" xmlns:component="br.com.desenv.nepalign.view.component.*">
	
	<fx:Style source="../../../framework/util/estilo.css"/>

	
	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			
			import br.com.desenv.framework.util.IgnReportUtil;
		
			[Bindable]
			public var listaVendedor:ArrayCollection = new ArrayCollection();
			
			public static const SELECT_ALL:String = "selectAll";
			//protected static const REPORT_METHOD_NAME:String = "gerarRelaroioComStub";
			protected static const REPORT_METHOD_NAME:String = "gerarRelatorioComListaDatas";
			protected static const REPORT_CLASS_NAME:String = "br.com.desenv.nepalign.relatorios.RelatorioTotalVendaRecebimento"; 
															
			protected function form_creationCompleteHandler(event:FlexEvent):void
			{
			
			}	
			
			public function listarVendedorResultHandler(event:ResultEvent):void
			{
				this.listaVendedor.addAll(event.result as ArrayCollection);
				this.listaVendedor.addItemAt(null,0);
			}
			
			protected function button2_clickHandler(event:MouseEvent):void
			{
				var validacao:String = this.validarForm;
				if(validacao == "OK")
				{
					var urlReq:URLRequest = new URLRequest(FlexGlobals.topLevelApplication.parametrosSistema.getParametro("URL_SERVLET_RELATORIO"));
					var param:URLVariables = new URLVariables(); 
					param.classe = REPORT_CLASS_NAME;
					param.acao = REPORT_METHOD_NAME;
					param.dataInicial = this.dsvPeriodo.dataInicial;
					param.dataFinal = this.dsvPeriodo.dataFinal;
					param.idEmpresaFisica = this.getStringListEmpresa;
					//urlReq.data = param;
					//
					//navigateToURL(urlReq, "_blank");
					
					new IgnReportUtil().gerarRelatorioSeguranca(null, "_blank", param);
				}
			
			}
			
			public function get getStringListEmpresa():String
			{
				var stringBuffer:String = "";
							
				if(this.ignComboCheckEmpresas.getEmpresasSelecionadas.length > 0)
				{
					for(var i:int = 0; i < this.ignComboCheckEmpresas.getEmpresasSelecionadas.length; i++)
					{
						var empresaFisica:Object = this.ignComboCheckEmpresas.getEmpresasSelecionadas.getItemAt(i);
						stringBuffer += empresaFisica.id.toString();
						
						if((i + 1) < this.ignComboCheckEmpresas.getEmpresasSelecionadas.length)
							stringBuffer += ",";
					}
				}
				else
				{
					this.ignComboCheckEmpresas.selecionarTudo();
					var todasEmpresas:ArrayCollection = new ArrayCollection();
					todasEmpresas = this.ignComboCheckEmpresas.getEmpresasSelecionadas; 
					for(var i:int = 0; i < todasEmpresas.length; i++)
					{
						var empresa:Object = todasEmpresas.getItemAt(i);
						stringBuffer += empresa.id.toString();
						
						if((i + 1) < todasEmpresas.length)
							stringBuffer += ",";
					}
					
				}
				
				return stringBuffer;
			}
			
			protected function titlewindow1_closeHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
				
			}
			
			protected function get validarForm():String
			{
				if(this.dsvPeriodo.dataInicial.length < 1)
					return "Data inicial invalida";
				if(this.dsvPeriodo.dataFinal.length < 1)
					return "Data final inválida";
				
				return "OK";
			}
			
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
	</fx:Declarations>
	
	<mx:Grid x="15" y="15">
		
		<mx:GridRow>
			<mx:GridItem horizontalAlign="center">
				<visual:DsvPeriodo id="dsvPeriodo"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="2" horizontalAlign="center">
				<mx:VBox>
					<s:Label text="Selecione Empresas"/>
					<component:DsvSelecaoMultipliasEmpresas id="ignComboCheckEmpresas" styleName="gridCompactado" tipoPesquisa="{DsvSelecaoMultipliasEmpresas.LISTAR_APENAS_LOJAS}" empresasExcluir="50,60"/>
				</mx:VBox>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem>
				<s:Spacer height="10"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="2" horizontalAlign="center">
				<s:Button label="Imprimir Relatório" click="button2_clickHandler(event)" />
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem>
				<s:Spacer height="10"/>
			</mx:GridItem>
		</mx:GridRow>
	</mx:Grid>
</s:TitleWindow>